package com.ruoyi.tcZz.service;

import java.util.List;
import com.ruoyi.tcZz.domain.TcCy;
import com.ruoyi.tcZz.domain.TcWljg;
import com.ruoyi.tcZz.domain.TcYqzs;

/**
 * 词云Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcCyService 
{
    /**
     * 查询词云
     * 
     * @param id 词云主键
     * @return 词云
     */
    public TcCy selectTcCyById(Long id);

    /**
     * 查询词云列表
     * 
     * @param tcCy 词云
     * @return 词云集合
     */
    public List<TcCy> selectTcCyList(TcCy tcCy);

    /**
     * 新增词云
     * 
     * @param tcCy 词云
     * @return 结果
     */
    public int insertTcCy(TcCy tcCy);

    /**
     * 修改词云
     * 
     * @param tcCy 词云
     * @return 结果
     */
    public int updateTcCy(TcCy tcCy);

    /**
     * 批量删除词云
     * 
     * @param ids 需要删除的词云主键集合
     * @return 结果
     */
    public int deleteTcCyByIds(Long[] ids);

    /**
     * 删除词云信息
     * 
     * @param id 词云主键
     * @return 结果
     */
    public int deleteTcCyById(Long id);

    /**
     * 导入词云信息
     *
     * @return 结果
     */
    public String importUser(List<TcCy> tcCyList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
